System.DirectoryServices 1.0.5000.0 System.Reflection.AssemblyKeyFile(KeyFile="../msfinal.pub") System.Reflection.AssemblyDelaySign(DelaySign=True) System.Runtime.InteropServices.ComVisible(Value=False) System.Resources.NeutralResourcesLanguage(CultureName="en-US") System.Reflection.AssemblyInformationalVersion(InformationalVersion="0.0.0.1") System.Reflection.AssemblyDefaultAlias(DefaultAlias="System.DirectoryServices.dll") System.CLSCompliant(IsCompliant=True) System.Reflection.AssemblyTrademark(Trademark="") System.Reflection.AssemblyCopyright(Copyright="(c) 2003 Various Authors") System.Reflection.AssemblyProduct(Product="MONO CLI") System.Reflection.AssemblyCompany(Company="MONO development team") System.Reflection.AssemblyConfiguration(Configuration="Development version") System.Reflection.AssemblyDescription(Description="System.DirectoryServices.dll") System.Reflection.AssemblyTitle(Title="System.DirectoryServices.dll") System.Resources.SatelliteContractVersion(Version="1.0.5000.0") System.MarshalByRefObject System.Collections.ICollection System.Collections.IEnumerable System.IDisposable System.Reflection.DefaultMember(MemberName="Item")
- Field
  System.Collections.ArrayList To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. To be added.

  Copies all objects in this collection to the specific array, starting at the specified index in the target array.

- Method
  System.Boolean `` To be added. To be added.

  Determines if a specified object is in this collection.

  true if the specified property belongs to this collection; otherwise, false.

- Method
  System.Int32 `` To be added.

  Returns the index of the first occurrence of the specified object in this collection.

  The zero-based index of the first matching object. Returns -1 if no member of this collection is identical to the object.

  The object to search for in this collection.
- Method
  System.Collections.IEnumerator To be added.

  Returns an enumerator that you can use to iterate through this collection.

  An object that you can use to iterate through this collection.

- Method
  System.Void

  The method, it allows the resources that are used by the to be reallocated for other purposes. For more information about , see Cleaning Up Unmanaged Resources.

  The garbage collector does not release memory for a object. Therefore, an application must call the method explicitly to prevent a memory leak.

  Releases all resources that are used by the object.

- Property
  System.Int32 To be added. To be added.

  Gets the number of objects in this collection.

- Property
  System.String[] To be added. To be added.

  Gets the properties that were specified before the search was executed.

- Property
  System.IntPtr To be added.

  The that created this collection calls the IDirectorySearch::ExecuteSearch method, which makes the query results available to the T:System.DirectoryServices.SearchResultCollection object. For more information, see the IDirectorySearch::ExecuteSearch topic in the MSDN Library at http://msdn.microsoft.com/library.

  Each time that a query is performed, a handle for the results of that query is associated with its object. This handle corresponds to the search handle in ADSI. This handle persists until you call the method on the object, so you must call to prevent a memory leak. The garbage collector does not free memory for this particular object.

  Gets the handle that is returned by the IDirectorySearch::ExecuteSearch method that performs the actual search. For more information, see the IDirectorySearch::ExecuteSearch topic in the MSDN Library at http://msdn.microsoft.com/library.

- Property
  System.DirectoryServices.SearchResult `` To be added. To be added. To be added. To be added.

Due to implementation restrictions, the class cannot release all of its unmanaged resources when it is garbage collected. To prevent a memory leak, you must call the method when the object is no longer needed.

The class contains the instances that the Active Directory hierarchy returned during a query.